Name:          raml-parser
Version:       0.8.11
Release:       1%{?dist}
Summary:       Java implementation of the raml parser
License:       ASL 2.0
URL:           https://github.com/raml-org/raml-java-parser
Source0:       https://github.com/raml-org/raml-java-parser/archive/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.module:jackson-module-jsonSchema)
BuildRequires: mvn(com.github.fge:json-schema-validator)
BuildRequires: mvn(com.googlecode.juniversalchardet:juniversalchardet)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(commons-validator:commons-validator)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(org.yaml:snakeyaml)

BuildArch:     noarch

%description
This project contains a RAML java parser
compatible with version 0.8 of the RAML
specification. The parser depends on
SnakeYaml, a Java YAML parser.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n raml-java-parser-%{version}
find -name "*.class" -delete
find -name "*.jar" -print -delete

# Unavailable plugin
%pom_remove_plugin :findbugs-maven-plugin
# Unwanted plugins
%pom_remove_plugin :maven-license-plugin
%pom_remove_plugin :maven-site-plugin

%pom_xpath_set "pom:dependencies/pom:dependency[pom:groupId = 'junit']/pom:artifactId" junit

%pom_remove_dep com.github.fge:json-schema-validator

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE_HEADER.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE_HEADER.txt

%changelog
* Sun Mar 08 2015 gil cattaneo <puntogil@libero.it> 0.8.11-1
- initial rpm
